Get Assistant
curl --request GET \
--url https://api.staging.kathan.tech/assistants/{assistant_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-User-ID: <api-key>'import requests
url = "https://api.staging.kathan.tech/assistants/{assistant_id}"
headers = {
"Authorization": "Bearer <token>",
"X-User-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-User-ID': '<api-key>'}
};
fetch('https://api.staging.kathan.tech/assistants/{assistant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"system_instruction": "<string>",
"voice": {
"voice_id": "<string>",
"tts_provider": "cartesia",
"tts_model": "sonic-3",
"language": "en",
"speed": 1
},
"llm": {
"llm_provider": "openai",
"model": "gpt-4o-mini"
},
"transcriber": {
"stt_provider": "deepgram",
"stt_model": "nova-3",
"language": "en"
},
"speech_settings": {
"style": "neutral",
"responsiveness": "balanced",
"interruptions": "on",
"emotions": "natural"
},
"long_term_memory": {
"enabled": false,
"search_limit": 5,
"search_threshold": 0.1,
"system_prompt": "Relevant, user-specific context from previous conversations:\n\n"
},
"short_term_memory": {
"enabled": false,
"search_limit": 3
},
"call_summary": {
"prompt": "<string>"
},
"recording": {
"enabled": false,
"stereo": true,
"mp3_enabled": true
},
"call_actions": {
"enabled": true,
"allow_hangup": true,
"allow_transfer": true,
"hangup_triggers": [
"<string>"
],
"transfer_triggers": [
"<string>"
],
"transfer_number": "<string>",
"transfer_mode": "cold",
"confirm_required": true,
"auto_hangup_silence_seconds": 123,
"confirm_yes": [
"<string>"
],
"confirm_no": [
"<string>"
],
"webhook_url": "<string>",
"webhook_timeout_ms": 3500
},
"icon": "📞",
"guardrails": "",
"first_message": "<string>",
"knowledge_base_ids": [],
"phone_number_id": "<string>",
"assistant_speaks_first": true,
"machine_detection_timeout_seconds": 123,
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Assistants
Get Assistant
GET
/
assistants
/
{assistant_id}
Get Assistant
Authorizations
API key authentication.
Required user id for API key requests.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I